<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('profiles', function (Blueprint $table) {
            $table->string('nama_sekolah')->after('id');
            $table->text('sejarah')->nullable()->after('nama_sekolah');
            $table->text('visi')->nullable()->after('sejarah');
            $table->text('misi')->nullable()->after('visi');
        });
    }

    public function down()
    {
        Schema::table('profiles', function (Blueprint $table) {
            $table->dropColumn(['nama_sekolah', 'sejarah', 'visi', 'misi']);
        });
    }
};
